// swift-tools-version: 5.6
// The swift-tools-version declares the minimum version of Swift required to build this package.

import PackageDescription

let package = Package(
    name: "PrintingKit",
    platforms: [
        .iOS(.v13),
    ],
    products: [
        // Products define the executables and libraries a package produces, and make them visible to other packages.
        .library(
            name: "PrintingKit",
            targets: ["PrintingKit"]),
    ],
    dependencies: [
        // Dependencies declare other packages that this package depends on.
        // .package(url: /* package url */, from: "1.0.0"),
    ],
    targets: [
        .binaryTarget(name: "StarIO",
                      path: "Sources/Frameworks/StarIO.xcframework"
                     ),
        .binaryTarget(name: "StarIO_Extension",
                      path: "Sources/Frameworks/StarIO_Extension.xcframework"
                     ),
        
            .target(name: "Star",
                    dependencies: ["StarIO", "StarIO_Extension"],
                    path: "StarWrapper",
                    publicHeadersPath: "Include",
                    linkerSettings: [
                        .linkedFramework("ExternalAccessory"),
                        .linkedFramework("CoreBluetooth"),
                        .linkedLibrary("z"),
                        .linkedLibrary("c++"),
                    ]
                   ),
        .target(
            name: "PrintingKit",
            dependencies: ["Star"],
            exclude: [
            
            ]),
        .testTarget(
            name: "PrintingKitTests",
            dependencies: ["PrintingKit"]),
    ]
)
